1. Mutual Fund APIs
  • Mutual Funds Data API - Introduction
  • Authentication, Request & Response
  • Code Samples & API Trial
  • List of APIs
  • Mutual Fund APIs
    • GetAMCMaster
      GET
    • GetSchemeMaster
      GET
    • GetSchemeTypeMaster
      GET
    • GetSchemeCategoryMaster
      GET
    • GetNAV
      GET
    • GetNAVHistory
      GET
    • GetAUM
      GET
    • GetAUMHistory
      GET
    • GetAumSchemeComparison
      GET
    • GetAumTopGainersLosers
      GET
    • GetHoldings
      GET
    • GetHoldingsSearch
      GET
    • GetHoldingsWhatChanged
      GET
    • GetHoldingsByType
      GET
    • GetNewFundOffers
      GET
  • Helper Functions
    • GetLimitation
      GET
    • GetServerInfo
      GET
  • Diagnostic API Responses
    • Diagnostic API Responses
  • Release Notes
    • 📢Release Notes
  1. Mutual Fund APIs

GetHoldingsSearch

GET
https://test.lisuns.com:4532/GetHoldingsSearch
▶️ 'Try It' now !
pointer.gif
The GetHoldingsSearch returns official searchable portfolio holdings details for mutual fund schemes, covering instruments and ISINs, industry ratings, quantities, market values and weights, yields, asset types, sizes, sectors, and dates.

What is returned?#

Instrument, Isin, IndustryOrRating, Quantity, MarketValue, Weight, Yield, AssetType, Size, Sector, Date

Sample Response#

JSON
XML
CSV
CsvContent
{
{
"Value": [
{
"Instrument": "Reliance Industries Limited December 2025 Future",
"Isin": "",
"IndustryOrRating": "Petroleum Products",
"Quantity": -2210000,
"MarketValue": -34840.65,
"Weight": -9.28,
"Yield": 0,
"AssetType": "Others",
"Size": "",
"Sector": "",
"Date": "11-30-2025 00:00:00"
},
{
"Instrument": "HDFC Bank Limited December 2025 Future",
"Isin": "",
"IndustryOrRating": "Banks",
"Quantity": -924000,
"MarketValue": -9365.2,
"Weight": -2.49,
"Yield": 0,
"AssetType": "Others",
"Size": "",
"Sector": "",
"Date": "11-30-2025 00:00:00"
}
]
}

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://test.lisuns.com:4532/GetHoldingsSearch?accessKey=4f863b18-f33e-4260-aa65-c60c1ad88686&name=NJ&isin=&code=&size=Large Cap&assetType&sector&industry&dTFormat=String&format=Json'

Responses

🟢200
application/json
Success
Body

Example
{
    "value": [
        {
            "instrument": "string",
            "isin": "string",
            "industryOrRating": "string",
            "quantity": 0,
            "marketValue": 0,
            "weight": 0,
            "yield": 0,
            "assetType": "string",
            "size": "string",
            "sector": "string",
            "date": "02-25-2025 18:00:00"
        }
    ],
    "count": 0
}
Previous
GetHoldings
Next
GetHoldingsWhatChanged
Built with